#version 430

layout (binding = 0) uniform texture2D tex;
layout (binding = 0) uniform sampler smp;

layout (location = 0) in vec4 color;
layout (location = 1) in vec2 uv;

layout (location = 0) out vec4 texel;

void main() {
	texel = texture(sampler2D(tex, smp), uv) * color;

	if (texel.a == 0) {
		discard;
	}
}
